Cripay Docs

List recent API requests

Every authenticated `/v1` request in the caller's mode, newest first. Bodies are redacted and bounded; rows are kept for the retention window (30 days by default).

GET
/v1/request-logs

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
starting_after?string
method?string
Value in"GET""POST""PATCH""PUT""DELETE"
status?string
Match^(\d{3}|[2345]xx)$
path?string
Lengthlength <= 200
source?string
Value in"api_key""session"
api_key_id?string
Formatuuid
created_gte?string
Formatdate-time
created_lte?string
Formatdate-time

Response Body

Default Response

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
Example Request
curl -X GET 'http://127.0.0.1:3001/v1/request-logs'
Example Response
{  "object": "list",  "data": [    {      "id": "string",      "object": "request_log",      "mode": "test",      "source": "api_key",      "api_key_id": "string",      "request_id": "string",      "method": "string",      "route": "string",      "path": "string",      "status": 0,      "error_code": "string",      "duration_ms": 0,      "ip": "string",      "idempotency_key": "string",      "created_at": "string"    }  ],  "has_more": true}